<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AantekeningRechtLijst StructType
 * @subpackage Structs
 */
class AantekeningRechtLijst extends AbstractStructBase
{
    /**
     * The aantekeningen_recht
     * @var \ArrayType\AantekeningRechtArray
     */
    public $aantekeningen_recht;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for AantekeningRechtLijst
     * @uses AantekeningRechtLijst::setAantekeningen_recht()
     * @uses AantekeningRechtLijst::setIndicatie_compleet()
     * @param \ArrayType\AantekeningRechtArray $aantekeningen_recht
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\AantekeningRechtArray $aantekeningen_recht = null, $indicatie_compleet = null)
    {
        $this
            ->setAantekeningen_recht($aantekeningen_recht)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get aantekeningen_recht value
     * @return \ArrayType\AantekeningRechtArray|null
     */
    public function getAantekeningen_recht()
    {
        return $this->aantekeningen_recht;
    }
    /**
     * Set aantekeningen_recht value
     * @param \ArrayType\AantekeningRechtArray $aantekeningen_recht
     * @return \StructType\AantekeningRechtLijst
     */
    public function setAantekeningen_recht(\ArrayType\AantekeningRechtArray $aantekeningen_recht = null)
    {
        $this->aantekeningen_recht = $aantekeningen_recht;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\AantekeningRechtLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
