<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarVWEVersionPriceReference StructType
 * @subpackage Structs
 */
class CarVWEVersionPriceReference extends AbstractStructBase
{
    /**
     * The order_number
     * @var int
     */
    public $order_number;
    /**
     * The atl_code
     * @var int
     */
    public $atl_code;
    /**
     * The model_name
     * @var string
     */
    public $model_name;
    /**
     * Constructor method for CarVWEVersionPriceReference
     * @uses CarVWEVersionPriceReference::setOrder_number()
     * @uses CarVWEVersionPriceReference::setAtl_code()
     * @uses CarVWEVersionPriceReference::setModel_name()
     * @param int $order_number
     * @param int $atl_code
     * @param string $model_name
     */
    public function __construct($order_number = null, $atl_code = null, $model_name = null)
    {
        $this
            ->setOrder_number($order_number)
            ->setAtl_code($atl_code)
            ->setModel_name($model_name);
    }
    /**
     * Get order_number value
     * @return int|null
     */
    public function getOrder_number()
    {
        return $this->order_number;
    }
    /**
     * Set order_number value
     * @param int $order_number
     * @return \StructType\CarVWEVersionPriceReference
     */
    public function setOrder_number($order_number = null)
    {
        // validation for constraint: int
        if (!is_null($order_number) && !(is_int($order_number) || ctype_digit($order_number))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($order_number, true), gettype($order_number)), __LINE__);
        }
        $this->order_number = $order_number;
        return $this;
    }
    /**
     * Get atl_code value
     * @return int|null
     */
    public function getAtl_code()
    {
        return $this->atl_code;
    }
    /**
     * Set atl_code value
     * @param int $atl_code
     * @return \StructType\CarVWEVersionPriceReference
     */
    public function setAtl_code($atl_code = null)
    {
        // validation for constraint: int
        if (!is_null($atl_code) && !(is_int($atl_code) || ctype_digit($atl_code))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($atl_code, true), gettype($atl_code)), __LINE__);
        }
        $this->atl_code = $atl_code;
        return $this;
    }
    /**
     * Get model_name value
     * @return string|null
     */
    public function getModel_name()
    {
        return $this->model_name;
    }
    /**
     * Set model_name value
     * @param string $model_name
     * @return \StructType\CarVWEVersionPriceReference
     */
    public function setModel_name($model_name = null)
    {
        // validation for constraint: string
        if (!is_null($model_name) && !is_string($model_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($model_name, true), gettype($model_name)), __LINE__);
        }
        $this->model_name = $model_name;
        return $this;
    }
}
