<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for createTestUserResponseType StructType
 * @subpackage Structs
 */
class CreateTestUserResponseType extends AbstractStructBase
{
    /**
     * The user_credentials
     * @var \StructType\UserCredentials
     */
    public $user_credentials;
    /**
     * Constructor method for createTestUserResponseType
     * @uses CreateTestUserResponseType::setUser_credentials()
     * @param \StructType\UserCredentials $user_credentials
     */
    public function __construct(\StructType\UserCredentials $user_credentials = null)
    {
        $this
            ->setUser_credentials($user_credentials);
    }
    /**
     * Get user_credentials value
     * @return \StructType\UserCredentials|null
     */
    public function getUser_credentials()
    {
        return $this->user_credentials;
    }
    /**
     * Set user_credentials value
     * @param \StructType\UserCredentials $user_credentials
     * @return \StructType\CreateTestUserResponseType
     */
    public function setUser_credentials(\StructType\UserCredentials $user_credentials = null)
    {
        $this->user_credentials = $user_credentials;
        return $this;
    }
}
