<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeBeNegativeInformation StructType
 * @subpackage Structs
 */
class CreditsafeBeNegativeInformation extends AbstractStructBase
{
    /**
     * The nsso_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeBeNSSODetailArray
     */
    public $nsso_details;
    /**
     * The protested_bills
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeBeProtestedBillArray
     */
    public $protested_bills;
    /**
     * The bankruptcy_events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeBeBankruptcyEventArray
     */
    public $bankruptcy_events;
    /**
     * Constructor method for CreditsafeBeNegativeInformation
     * @uses CreditsafeBeNegativeInformation::setNsso_details()
     * @uses CreditsafeBeNegativeInformation::setProtested_bills()
     * @uses CreditsafeBeNegativeInformation::setBankruptcy_events()
     * @param \ArrayType\CreditsafeBeNSSODetailArray $nsso_details
     * @param \ArrayType\CreditsafeBeProtestedBillArray $protested_bills
     * @param \ArrayType\CreditsafeBeBankruptcyEventArray $bankruptcy_events
     */
    public function __construct(\ArrayType\CreditsafeBeNSSODetailArray $nsso_details = null, \ArrayType\CreditsafeBeProtestedBillArray $protested_bills = null, \ArrayType\CreditsafeBeBankruptcyEventArray $bankruptcy_events = null)
    {
        $this
            ->setNsso_details($nsso_details)
            ->setProtested_bills($protested_bills)
            ->setBankruptcy_events($bankruptcy_events);
    }
    /**
     * Get nsso_details value
     * @return \ArrayType\CreditsafeBeNSSODetailArray|null
     */
    public function getNsso_details()
    {
        return $this->nsso_details;
    }
    /**
     * Set nsso_details value
     * @param \ArrayType\CreditsafeBeNSSODetailArray $nsso_details
     * @return \StructType\CreditsafeBeNegativeInformation
     */
    public function setNsso_details(\ArrayType\CreditsafeBeNSSODetailArray $nsso_details = null)
    {
        $this->nsso_details = $nsso_details;
        return $this;
    }
    /**
     * Get protested_bills value
     * @return \ArrayType\CreditsafeBeProtestedBillArray|null
     */
    public function getProtested_bills()
    {
        return $this->protested_bills;
    }
    /**
     * Set protested_bills value
     * @param \ArrayType\CreditsafeBeProtestedBillArray $protested_bills
     * @return \StructType\CreditsafeBeNegativeInformation
     */
    public function setProtested_bills(\ArrayType\CreditsafeBeProtestedBillArray $protested_bills = null)
    {
        $this->protested_bills = $protested_bills;
        return $this;
    }
    /**
     * Get bankruptcy_events value
     * @return \ArrayType\CreditsafeBeBankruptcyEventArray|null
     */
    public function getBankruptcy_events()
    {
        return $this->bankruptcy_events;
    }
    /**
     * Set bankruptcy_events value
     * @param \ArrayType\CreditsafeBeBankruptcyEventArray $bankruptcy_events
     * @return \StructType\CreditsafeBeNegativeInformation
     */
    public function setBankruptcy_events(\ArrayType\CreditsafeBeBankruptcyEventArray $bankruptcy_events = null)
    {
        $this->bankruptcy_events = $bankruptcy_events;
        return $this;
    }
}
