<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyOtherFinancialsV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyOtherFinancialsV2 extends AbstractStructBase
{
    /**
     * The net_worth
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $net_worth;
    /**
     * The working_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $working_capital;
    /**
     * Constructor method for CreditsafeCompanyOtherFinancialsV2
     * @uses CreditsafeCompanyOtherFinancialsV2::setNet_worth()
     * @uses CreditsafeCompanyOtherFinancialsV2::setWorking_capital()
     * @param int $net_worth
     * @param int $working_capital
     */
    public function __construct($net_worth = null, $working_capital = null)
    {
        $this
            ->setNet_worth($net_worth)
            ->setWorking_capital($working_capital);
    }
    /**
     * Get net_worth value
     * @return int|null
     */
    public function getNet_worth()
    {
        return $this->net_worth;
    }
    /**
     * Set net_worth value
     * @param int $net_worth
     * @return \StructType\CreditsafeCompanyOtherFinancialsV2
     */
    public function setNet_worth($net_worth = null)
    {
        // validation for constraint: int
        if (!is_null($net_worth) && !(is_int($net_worth) || ctype_digit($net_worth))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($net_worth, true), gettype($net_worth)), __LINE__);
        }
        $this->net_worth = $net_worth;
        return $this;
    }
    /**
     * Get working_capital value
     * @return int|null
     */
    public function getWorking_capital()
    {
        return $this->working_capital;
    }
    /**
     * Set working_capital value
     * @param int $working_capital
     * @return \StructType\CreditsafeCompanyOtherFinancialsV2
     */
    public function setWorking_capital($working_capital = null)
    {
        // validation for constraint: int
        if (!is_null($working_capital) && !(is_int($working_capital) || ctype_digit($working_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($working_capital, true), gettype($working_capital)), __LINE__);
        }
        $this->working_capital = $working_capital;
        return $this;
    }
}
