<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeNlNegativeInformation StructType
 * @subpackage Structs
 */
class CreditsafeNlNegativeInformation extends AbstractStructBase
{
    /**
     * The court_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlCourtData
     */
    public $court_data;
    /**
     * Constructor method for CreditsafeNlNegativeInformation
     * @uses CreditsafeNlNegativeInformation::setCourt_data()
     * @param \StructType\CreditsafeNlCourtData $court_data
     */
    public function __construct(\StructType\CreditsafeNlCourtData $court_data = null)
    {
        $this
            ->setCourt_data($court_data);
    }
    /**
     * Get court_data value
     * @return \StructType\CreditsafeNlCourtData|null
     */
    public function getCourt_data()
    {
        return $this->court_data;
    }
    /**
     * Set court_data value
     * @param \StructType\CreditsafeNlCourtData $court_data
     * @return \StructType\CreditsafeNlNegativeInformation
     */
    public function setCourt_data(\StructType\CreditsafeNlCourtData $court_data = null)
    {
        $this->court_data = $court_data;
        return $this;
    }
}
