<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessExtractDocumentDataV2 StructType
 * @subpackage Structs
 */
class DutchBusinessExtractDocumentDataV2 extends AbstractStructBase
{
    /**
     * The document
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $document;
    /**
     * The data
     * @var \StructType\DutchBusinessExtractDataV2
     */
    public $data;
    /**
     * Constructor method for DutchBusinessExtractDocumentDataV2
     * @uses DutchBusinessExtractDocumentDataV2::setDocument()
     * @uses DutchBusinessExtractDocumentDataV2::setData()
     * @param string $document
     * @param \StructType\DutchBusinessExtractDataV2 $data
     */
    public function __construct($document = null, \StructType\DutchBusinessExtractDataV2 $data = null)
    {
        $this
            ->setDocument($document)
            ->setData($data);
    }
    /**
     * Get document value
     * @return string|null
     */
    public function getDocument()
    {
        return $this->document;
    }
    /**
     * Set document value
     * @param string $document
     * @return \StructType\DutchBusinessExtractDocumentDataV2
     */
    public function setDocument($document = null)
    {
        // validation for constraint: string
        if (!is_null($document) && !is_string($document)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($document, true), gettype($document)), __LINE__);
        }
        $this->document = $document;
        return $this;
    }
    /**
     * Get data value
     * @return \StructType\DutchBusinessExtractDataV2|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param \StructType\DutchBusinessExtractDataV2 $data
     * @return \StructType\DutchBusinessExtractDocumentDataV2
     */
    public function setData(\StructType\DutchBusinessExtractDataV2 $data = null)
    {
        $this->data = $data;
        return $this;
    }
}
