<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehicleMarketValue StructType
 * @subpackage Structs
 */
class DutchVehicleMarketValue extends AbstractStructBase
{
    /**
     * The valuations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\DutchVehiclePriceValuationArray
     */
    public $valuations;
    /**
     * Constructor method for DutchVehicleMarketValue
     * @uses DutchVehicleMarketValue::setValuations()
     * @param \ArrayType\DutchVehiclePriceValuationArray $valuations
     */
    public function __construct(\ArrayType\DutchVehiclePriceValuationArray $valuations = null)
    {
        $this
            ->setValuations($valuations);
    }
    /**
     * Get valuations value
     * @return \ArrayType\DutchVehiclePriceValuationArray|null
     */
    public function getValuations()
    {
        return $this->valuations;
    }
    /**
     * Set valuations value
     * @param \ArrayType\DutchVehiclePriceValuationArray $valuations
     * @return \StructType\DutchVehicleMarketValue
     */
    public function setValuations(\ArrayType\DutchVehiclePriceValuationArray $valuations = null)
    {
        $this->valuations = $valuations;
        return $this;
    }
}
