<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCalamity StructType
 * @subpackage Structs
 */
class GCRCalamity extends AbstractStructBase
{
    /**
     * The calamity_events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCalamityEventArray
     */
    public $calamity_events;
    /**
     * The other_calamities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCalamityOtherArray
     */
    public $other_calamities;
    /**
     * Constructor method for GCRCalamity
     * @uses GCRCalamity::setCalamity_events()
     * @uses GCRCalamity::setOther_calamities()
     * @param \ArrayType\GCRCalamityEventArray $calamity_events
     * @param \ArrayType\GCRCalamityOtherArray $other_calamities
     */
    public function __construct(\ArrayType\GCRCalamityEventArray $calamity_events = null, \ArrayType\GCRCalamityOtherArray $other_calamities = null)
    {
        $this
            ->setCalamity_events($calamity_events)
            ->setOther_calamities($other_calamities);
    }
    /**
     * Get calamity_events value
     * @return \ArrayType\GCRCalamityEventArray|null
     */
    public function getCalamity_events()
    {
        return $this->calamity_events;
    }
    /**
     * Set calamity_events value
     * @param \ArrayType\GCRCalamityEventArray $calamity_events
     * @return \StructType\GCRCalamity
     */
    public function setCalamity_events(\ArrayType\GCRCalamityEventArray $calamity_events = null)
    {
        $this->calamity_events = $calamity_events;
        return $this;
    }
    /**
     * Get other_calamities value
     * @return \ArrayType\GCRCalamityOtherArray|null
     */
    public function getOther_calamities()
    {
        return $this->other_calamities;
    }
    /**
     * Set other_calamities value
     * @param \ArrayType\GCRCalamityOtherArray $other_calamities
     * @return \StructType\GCRCalamity
     */
    public function setOther_calamities(\ArrayType\GCRCalamityOtherArray $other_calamities = null)
    {
        $this->other_calamities = $other_calamities;
        return $this;
    }
}
