<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationPostcodeDistanceResponseType StructType
 * @subpackage Structs
 */
class GeoLocationPostcodeDistanceResponseType extends AbstractStructBase
{
    /**
     * The distance
     * @var int
     */
    public $distance;
    /**
     * Constructor method for geoLocationPostcodeDistanceResponseType
     * @uses GeoLocationPostcodeDistanceResponseType::setDistance()
     * @param int $distance
     */
    public function __construct($distance = null)
    {
        $this
            ->setDistance($distance);
    }
    /**
     * Get distance value
     * @return int|null
     */
    public function getDistance()
    {
        return $this->distance;
    }
    /**
     * Set distance value
     * @param int $distance
     * @return \StructType\GeoLocationPostcodeDistanceResponseType
     */
    public function setDistance($distance = null)
    {
        // validation for constraint: int
        if (!is_null($distance) && !(is_int($distance) || ctype_digit($distance))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($distance, true), gettype($distance)), __LINE__);
        }
        $this->distance = $distance;
        return $this;
    }
}
