<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Koopsom StructType
 * @subpackage Structs
 */
class KadasterV2Koopsom extends AbstractStructBase
{
    /**
     * The bedrag
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Bedrag
     */
    public $bedrag;
    /**
     * The indicatie_meer_objecten
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_meer_objecten;
    /**
     * The koopjaar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $koopjaar;
    /**
     * The koopdatum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $koopdatum;
    /**
     * Constructor method for KadasterV2Koopsom
     * @uses KadasterV2Koopsom::setBedrag()
     * @uses KadasterV2Koopsom::setIndicatie_meer_objecten()
     * @uses KadasterV2Koopsom::setKoopjaar()
     * @uses KadasterV2Koopsom::setKoopdatum()
     * @param \StructType\KadasterV2Bedrag $bedrag
     * @param bool $indicatie_meer_objecten
     * @param int $koopjaar
     * @param string $koopdatum
     */
    public function __construct(\StructType\KadasterV2Bedrag $bedrag = null, $indicatie_meer_objecten = null, $koopjaar = null, $koopdatum = null)
    {
        $this
            ->setBedrag($bedrag)
            ->setIndicatie_meer_objecten($indicatie_meer_objecten)
            ->setKoopjaar($koopjaar)
            ->setKoopdatum($koopdatum);
    }
    /**
     * Get bedrag value
     * @return \StructType\KadasterV2Bedrag|null
     */
    public function getBedrag()
    {
        return $this->bedrag;
    }
    /**
     * Set bedrag value
     * @param \StructType\KadasterV2Bedrag $bedrag
     * @return \StructType\KadasterV2Koopsom
     */
    public function setBedrag(\StructType\KadasterV2Bedrag $bedrag = null)
    {
        $this->bedrag = $bedrag;
        return $this;
    }
    /**
     * Get indicatie_meer_objecten value
     * @return bool|null
     */
    public function getIndicatie_meer_objecten()
    {
        return $this->indicatie_meer_objecten;
    }
    /**
     * Set indicatie_meer_objecten value
     * @param bool $indicatie_meer_objecten
     * @return \StructType\KadasterV2Koopsom
     */
    public function setIndicatie_meer_objecten($indicatie_meer_objecten = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_meer_objecten) && !is_bool($indicatie_meer_objecten)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_meer_objecten, true), gettype($indicatie_meer_objecten)), __LINE__);
        }
        $this->indicatie_meer_objecten = $indicatie_meer_objecten;
        return $this;
    }
    /**
     * Get koopjaar value
     * @return int|null
     */
    public function getKoopjaar()
    {
        return $this->koopjaar;
    }
    /**
     * Set koopjaar value
     * @param int $koopjaar
     * @return \StructType\KadasterV2Koopsom
     */
    public function setKoopjaar($koopjaar = null)
    {
        // validation for constraint: int
        if (!is_null($koopjaar) && !(is_int($koopjaar) || ctype_digit($koopjaar))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($koopjaar, true), gettype($koopjaar)), __LINE__);
        }
        $this->koopjaar = $koopjaar;
        return $this;
    }
    /**
     * Get koopdatum value
     * @return string|null
     */
    public function getKoopdatum()
    {
        return $this->koopdatum;
    }
    /**
     * Set koopdatum value
     * @param string $koopdatum
     * @return \StructType\KadasterV2Koopsom
     */
    public function setKoopdatum($koopdatum = null)
    {
        // validation for constraint: string
        if (!is_null($koopdatum) && !is_string($koopdatum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($koopdatum, true), gettype($koopdatum)), __LINE__);
        }
        $this->koopdatum = $koopdatum;
        return $this;
    }
}
