<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2OnroerendeZaak StructType
 * @subpackage Structs
 */
class KadasterV2OnroerendeZaak extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $identificatie;
    /**
     * The kadastrale_aanduiding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2KadastraleAanduiding
     */
    public $kadastrale_aanduiding;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The adressen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2AdresLocatieArray
     */
    public $adressen;
    /**
     * The tekeningen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2StukdeelArray
     */
    public $tekeningen;
    /**
     * The uin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $uin;
    /**
     * The aard
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aard;
    /**
     * The omschrijving
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $omschrijving;
    /**
     * The kadastrale_grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2KadastraleGrootte
     */
    public $kadastrale_grootte;
    /**
     * The plaatscoordinaten
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Coordinaat
     */
    public $plaatscoordinaten;
    /**
     * The belast_met
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2LandinrichtingsRenteArray
     */
    public $belast_met;
    /**
     * The aard_cultuur_onbebouwd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aard_cultuur_onbebouwd;
    /**
     * The aard_cultuur_bebouwd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aard_cultuur_bebouwd;
    /**
     * The omschrijving_onderzoek_erfdienstbaarheden
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $omschrijving_onderzoek_erfdienstbaarheden;
    /**
     * The toestandsdatum_onderzoek_erfdienstbaarheden
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $toestandsdatum_onderzoek_erfdienstbaarheden;
    /**
     * The koopsom
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Koopsom
     */
    public $koopsom;
    /**
     * The indicatie_voorlopige_aantekening
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_voorlopige_aantekening;
    /**
     * The indicatie_tweede_splitsing
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_tweede_splitsing;
    /**
     * The indicatie_gedeeltelijk_bezwaard_oud_object
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_gedeeltelijk_bezwaard_oud_object;
    /**
     * The indicatie_gesplitst
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_gesplitst;
    /**
     * The indicatie_voorgenomen_aantekening
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_voorgenomen_aantekening;
    /**
     * The toelichting_bewaarder
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $toelichting_bewaarder;
    /**
     * The historie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Historie
     */
    public $historie;
    /**
     * The overgegaan_in
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2OnroerendeZaakFiliatieArray
     */
    public $overgegaan_in;
    /**
     * The vermeld_in
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2StukdeelArray
     */
    public $vermeld_in;
    /**
     * The ontstaan_uit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2OnroerendeZaakFiliatieArray
     */
    public $ontstaan_uit;
    /**
     * The aantekeningen_wkpb
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2AantekeningWKPBArray
     */
    public $aantekeningen_wkpb;
    /**
     * The aanvullingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2AanvullingArray
     */
    public $aanvullingen;
    /**
     * Constructor method for KadasterV2OnroerendeZaak
     * @uses KadasterV2OnroerendeZaak::setIdentificatie()
     * @uses KadasterV2OnroerendeZaak::setKadastrale_aanduiding()
     * @uses KadasterV2OnroerendeZaak::setType()
     * @uses KadasterV2OnroerendeZaak::setAdressen()
     * @uses KadasterV2OnroerendeZaak::setTekeningen()
     * @uses KadasterV2OnroerendeZaak::setUin()
     * @uses KadasterV2OnroerendeZaak::setAard()
     * @uses KadasterV2OnroerendeZaak::setOmschrijving()
     * @uses KadasterV2OnroerendeZaak::setKadastrale_grootte()
     * @uses KadasterV2OnroerendeZaak::setPlaatscoordinaten()
     * @uses KadasterV2OnroerendeZaak::setBelast_met()
     * @uses KadasterV2OnroerendeZaak::setAard_cultuur_onbebouwd()
     * @uses KadasterV2OnroerendeZaak::setAard_cultuur_bebouwd()
     * @uses KadasterV2OnroerendeZaak::setOmschrijving_onderzoek_erfdienstbaarheden()
     * @uses KadasterV2OnroerendeZaak::setToestandsdatum_onderzoek_erfdienstbaarheden()
     * @uses KadasterV2OnroerendeZaak::setKoopsom()
     * @uses KadasterV2OnroerendeZaak::setIndicatie_voorlopige_aantekening()
     * @uses KadasterV2OnroerendeZaak::setIndicatie_tweede_splitsing()
     * @uses KadasterV2OnroerendeZaak::setIndicatie_gedeeltelijk_bezwaard_oud_object()
     * @uses KadasterV2OnroerendeZaak::setIndicatie_gesplitst()
     * @uses KadasterV2OnroerendeZaak::setIndicatie_voorgenomen_aantekening()
     * @uses KadasterV2OnroerendeZaak::setToelichting_bewaarder()
     * @uses KadasterV2OnroerendeZaak::setHistorie()
     * @uses KadasterV2OnroerendeZaak::setOvergegaan_in()
     * @uses KadasterV2OnroerendeZaak::setVermeld_in()
     * @uses KadasterV2OnroerendeZaak::setOntstaan_uit()
     * @uses KadasterV2OnroerendeZaak::setAantekeningen_wkpb()
     * @uses KadasterV2OnroerendeZaak::setAanvullingen()
     * @param string $identificatie
     * @param \StructType\KadasterV2KadastraleAanduiding $kadastrale_aanduiding
     * @param string $type
     * @param \ArrayType\KadasterV2AdresLocatieArray $adressen
     * @param \ArrayType\KadasterV2StukdeelArray $tekeningen
     * @param string $uin
     * @param string $aard
     * @param string $omschrijving
     * @param \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte
     * @param \StructType\KadasterV2Coordinaat $plaatscoordinaten
     * @param \ArrayType\KadasterV2LandinrichtingsRenteArray $belast_met
     * @param string $aard_cultuur_onbebouwd
     * @param string $aard_cultuur_bebouwd
     * @param string $omschrijving_onderzoek_erfdienstbaarheden
     * @param string $toestandsdatum_onderzoek_erfdienstbaarheden
     * @param \StructType\KadasterV2Koopsom $koopsom
     * @param bool $indicatie_voorlopige_aantekening
     * @param bool $indicatie_tweede_splitsing
     * @param bool $indicatie_gedeeltelijk_bezwaard_oud_object
     * @param bool $indicatie_gesplitst
     * @param bool $indicatie_voorgenomen_aantekening
     * @param string $toelichting_bewaarder
     * @param \StructType\KadasterV2Historie $historie
     * @param \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $overgegaan_in
     * @param \ArrayType\KadasterV2StukdeelArray $vermeld_in
     * @param \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $ontstaan_uit
     * @param \ArrayType\KadasterV2AantekeningWKPBArray $aantekeningen_wkpb
     * @param \ArrayType\KadasterV2AanvullingArray $aanvullingen
     */
    public function __construct($identificatie = null, \StructType\KadasterV2KadastraleAanduiding $kadastrale_aanduiding = null, $type = null, \ArrayType\KadasterV2AdresLocatieArray $adressen = null, \ArrayType\KadasterV2StukdeelArray $tekeningen = null, $uin = null, $aard = null, $omschrijving = null, \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte = null, \StructType\KadasterV2Coordinaat $plaatscoordinaten = null, \ArrayType\KadasterV2LandinrichtingsRenteArray $belast_met = null, $aard_cultuur_onbebouwd = null, $aard_cultuur_bebouwd = null, $omschrijving_onderzoek_erfdienstbaarheden = null, $toestandsdatum_onderzoek_erfdienstbaarheden = null, \StructType\KadasterV2Koopsom $koopsom = null, $indicatie_voorlopige_aantekening = null, $indicatie_tweede_splitsing = null, $indicatie_gedeeltelijk_bezwaard_oud_object = null, $indicatie_gesplitst = null, $indicatie_voorgenomen_aantekening = null, $toelichting_bewaarder = null, \StructType\KadasterV2Historie $historie = null, \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $overgegaan_in = null, \ArrayType\KadasterV2StukdeelArray $vermeld_in = null, \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $ontstaan_uit = null, \ArrayType\KadasterV2AantekeningWKPBArray $aantekeningen_wkpb = null, \ArrayType\KadasterV2AanvullingArray $aanvullingen = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setKadastrale_aanduiding($kadastrale_aanduiding)
            ->setType($type)
            ->setAdressen($adressen)
            ->setTekeningen($tekeningen)
            ->setUin($uin)
            ->setAard($aard)
            ->setOmschrijving($omschrijving)
            ->setKadastrale_grootte($kadastrale_grootte)
            ->setPlaatscoordinaten($plaatscoordinaten)
            ->setBelast_met($belast_met)
            ->setAard_cultuur_onbebouwd($aard_cultuur_onbebouwd)
            ->setAard_cultuur_bebouwd($aard_cultuur_bebouwd)
            ->setOmschrijving_onderzoek_erfdienstbaarheden($omschrijving_onderzoek_erfdienstbaarheden)
            ->setToestandsdatum_onderzoek_erfdienstbaarheden($toestandsdatum_onderzoek_erfdienstbaarheden)
            ->setKoopsom($koopsom)
            ->setIndicatie_voorlopige_aantekening($indicatie_voorlopige_aantekening)
            ->setIndicatie_tweede_splitsing($indicatie_tweede_splitsing)
            ->setIndicatie_gedeeltelijk_bezwaard_oud_object($indicatie_gedeeltelijk_bezwaard_oud_object)
            ->setIndicatie_gesplitst($indicatie_gesplitst)
            ->setIndicatie_voorgenomen_aantekening($indicatie_voorgenomen_aantekening)
            ->setToelichting_bewaarder($toelichting_bewaarder)
            ->setHistorie($historie)
            ->setOvergegaan_in($overgegaan_in)
            ->setVermeld_in($vermeld_in)
            ->setOntstaan_uit($ontstaan_uit)
            ->setAantekeningen_wkpb($aantekeningen_wkpb)
            ->setAanvullingen($aanvullingen);
    }
    /**
     * Get identificatie value
     * @return string|null
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get kadastrale_aanduiding value
     * @return \StructType\KadasterV2KadastraleAanduiding|null
     */
    public function getKadastrale_aanduiding()
    {
        return $this->kadastrale_aanduiding;
    }
    /**
     * Set kadastrale_aanduiding value
     * @param \StructType\KadasterV2KadastraleAanduiding $kadastrale_aanduiding
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setKadastrale_aanduiding(\StructType\KadasterV2KadastraleAanduiding $kadastrale_aanduiding = null)
    {
        $this->kadastrale_aanduiding = $kadastrale_aanduiding;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get adressen value
     * @return \ArrayType\KadasterV2AdresLocatieArray|null
     */
    public function getAdressen()
    {
        return $this->adressen;
    }
    /**
     * Set adressen value
     * @param \ArrayType\KadasterV2AdresLocatieArray $adressen
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAdressen(\ArrayType\KadasterV2AdresLocatieArray $adressen = null)
    {
        $this->adressen = $adressen;
        return $this;
    }
    /**
     * Get tekeningen value
     * @return \ArrayType\KadasterV2StukdeelArray|null
     */
    public function getTekeningen()
    {
        return $this->tekeningen;
    }
    /**
     * Set tekeningen value
     * @param \ArrayType\KadasterV2StukdeelArray $tekeningen
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setTekeningen(\ArrayType\KadasterV2StukdeelArray $tekeningen = null)
    {
        $this->tekeningen = $tekeningen;
        return $this;
    }
    /**
     * Get uin value
     * @return string|null
     */
    public function getUin()
    {
        return $this->uin;
    }
    /**
     * Set uin value
     * @param string $uin
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setUin($uin = null)
    {
        // validation for constraint: string
        if (!is_null($uin) && !is_string($uin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uin, true), gettype($uin)), __LINE__);
        }
        $this->uin = $uin;
        return $this;
    }
    /**
     * Get aard value
     * @return string|null
     */
    public function getAard()
    {
        return $this->aard;
    }
    /**
     * Set aard value
     * @param string $aard
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAard($aard = null)
    {
        // validation for constraint: string
        if (!is_null($aard) && !is_string($aard)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aard, true), gettype($aard)), __LINE__);
        }
        $this->aard = $aard;
        return $this;
    }
    /**
     * Get omschrijving value
     * @return string|null
     */
    public function getOmschrijving()
    {
        return $this->omschrijving;
    }
    /**
     * Set omschrijving value
     * @param string $omschrijving
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setOmschrijving($omschrijving = null)
    {
        // validation for constraint: string
        if (!is_null($omschrijving) && !is_string($omschrijving)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($omschrijving, true), gettype($omschrijving)), __LINE__);
        }
        $this->omschrijving = $omschrijving;
        return $this;
    }
    /**
     * Get kadastrale_grootte value
     * @return \StructType\KadasterV2KadastraleGrootte|null
     */
    public function getKadastrale_grootte()
    {
        return $this->kadastrale_grootte;
    }
    /**
     * Set kadastrale_grootte value
     * @param \StructType\KadasterV2KadastraleGrootte $kadastrale_grootte
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setKadastrale_grootte(\StructType\KadasterV2KadastraleGrootte $kadastrale_grootte = null)
    {
        $this->kadastrale_grootte = $kadastrale_grootte;
        return $this;
    }
    /**
     * Get plaatscoordinaten value
     * @return \StructType\KadasterV2Coordinaat|null
     */
    public function getPlaatscoordinaten()
    {
        return $this->plaatscoordinaten;
    }
    /**
     * Set plaatscoordinaten value
     * @param \StructType\KadasterV2Coordinaat $plaatscoordinaten
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setPlaatscoordinaten(\StructType\KadasterV2Coordinaat $plaatscoordinaten = null)
    {
        $this->plaatscoordinaten = $plaatscoordinaten;
        return $this;
    }
    /**
     * Get belast_met value
     * @return \ArrayType\KadasterV2LandinrichtingsRenteArray|null
     */
    public function getBelast_met()
    {
        return $this->belast_met;
    }
    /**
     * Set belast_met value
     * @param \ArrayType\KadasterV2LandinrichtingsRenteArray $belast_met
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setBelast_met(\ArrayType\KadasterV2LandinrichtingsRenteArray $belast_met = null)
    {
        $this->belast_met = $belast_met;
        return $this;
    }
    /**
     * Get aard_cultuur_onbebouwd value
     * @return string|null
     */
    public function getAard_cultuur_onbebouwd()
    {
        return $this->aard_cultuur_onbebouwd;
    }
    /**
     * Set aard_cultuur_onbebouwd value
     * @param string $aard_cultuur_onbebouwd
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAard_cultuur_onbebouwd($aard_cultuur_onbebouwd = null)
    {
        // validation for constraint: string
        if (!is_null($aard_cultuur_onbebouwd) && !is_string($aard_cultuur_onbebouwd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aard_cultuur_onbebouwd, true), gettype($aard_cultuur_onbebouwd)), __LINE__);
        }
        $this->aard_cultuur_onbebouwd = $aard_cultuur_onbebouwd;
        return $this;
    }
    /**
     * Get aard_cultuur_bebouwd value
     * @return string|null
     */
    public function getAard_cultuur_bebouwd()
    {
        return $this->aard_cultuur_bebouwd;
    }
    /**
     * Set aard_cultuur_bebouwd value
     * @param string $aard_cultuur_bebouwd
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAard_cultuur_bebouwd($aard_cultuur_bebouwd = null)
    {
        // validation for constraint: string
        if (!is_null($aard_cultuur_bebouwd) && !is_string($aard_cultuur_bebouwd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aard_cultuur_bebouwd, true), gettype($aard_cultuur_bebouwd)), __LINE__);
        }
        $this->aard_cultuur_bebouwd = $aard_cultuur_bebouwd;
        return $this;
    }
    /**
     * Get omschrijving_onderzoek_erfdienstbaarheden value
     * @return string|null
     */
    public function getOmschrijving_onderzoek_erfdienstbaarheden()
    {
        return $this->omschrijving_onderzoek_erfdienstbaarheden;
    }
    /**
     * Set omschrijving_onderzoek_erfdienstbaarheden value
     * @param string $omschrijving_onderzoek_erfdienstbaarheden
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setOmschrijving_onderzoek_erfdienstbaarheden($omschrijving_onderzoek_erfdienstbaarheden = null)
    {
        // validation for constraint: string
        if (!is_null($omschrijving_onderzoek_erfdienstbaarheden) && !is_string($omschrijving_onderzoek_erfdienstbaarheden)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($omschrijving_onderzoek_erfdienstbaarheden, true), gettype($omschrijving_onderzoek_erfdienstbaarheden)), __LINE__);
        }
        $this->omschrijving_onderzoek_erfdienstbaarheden = $omschrijving_onderzoek_erfdienstbaarheden;
        return $this;
    }
    /**
     * Get toestandsdatum_onderzoek_erfdienstbaarheden value
     * @return string|null
     */
    public function getToestandsdatum_onderzoek_erfdienstbaarheden()
    {
        return $this->toestandsdatum_onderzoek_erfdienstbaarheden;
    }
    /**
     * Set toestandsdatum_onderzoek_erfdienstbaarheden value
     * @param string $toestandsdatum_onderzoek_erfdienstbaarheden
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setToestandsdatum_onderzoek_erfdienstbaarheden($toestandsdatum_onderzoek_erfdienstbaarheden = null)
    {
        // validation for constraint: string
        if (!is_null($toestandsdatum_onderzoek_erfdienstbaarheden) && !is_string($toestandsdatum_onderzoek_erfdienstbaarheden)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toestandsdatum_onderzoek_erfdienstbaarheden, true), gettype($toestandsdatum_onderzoek_erfdienstbaarheden)), __LINE__);
        }
        $this->toestandsdatum_onderzoek_erfdienstbaarheden = $toestandsdatum_onderzoek_erfdienstbaarheden;
        return $this;
    }
    /**
     * Get koopsom value
     * @return \StructType\KadasterV2Koopsom|null
     */
    public function getKoopsom()
    {
        return $this->koopsom;
    }
    /**
     * Set koopsom value
     * @param \StructType\KadasterV2Koopsom $koopsom
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setKoopsom(\StructType\KadasterV2Koopsom $koopsom = null)
    {
        $this->koopsom = $koopsom;
        return $this;
    }
    /**
     * Get indicatie_voorlopige_aantekening value
     * @return bool|null
     */
    public function getIndicatie_voorlopige_aantekening()
    {
        return $this->indicatie_voorlopige_aantekening;
    }
    /**
     * Set indicatie_voorlopige_aantekening value
     * @param bool $indicatie_voorlopige_aantekening
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIndicatie_voorlopige_aantekening($indicatie_voorlopige_aantekening = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_voorlopige_aantekening) && !is_bool($indicatie_voorlopige_aantekening)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_voorlopige_aantekening, true), gettype($indicatie_voorlopige_aantekening)), __LINE__);
        }
        $this->indicatie_voorlopige_aantekening = $indicatie_voorlopige_aantekening;
        return $this;
    }
    /**
     * Get indicatie_tweede_splitsing value
     * @return bool|null
     */
    public function getIndicatie_tweede_splitsing()
    {
        return $this->indicatie_tweede_splitsing;
    }
    /**
     * Set indicatie_tweede_splitsing value
     * @param bool $indicatie_tweede_splitsing
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIndicatie_tweede_splitsing($indicatie_tweede_splitsing = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_tweede_splitsing) && !is_bool($indicatie_tweede_splitsing)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_tweede_splitsing, true), gettype($indicatie_tweede_splitsing)), __LINE__);
        }
        $this->indicatie_tweede_splitsing = $indicatie_tweede_splitsing;
        return $this;
    }
    /**
     * Get indicatie_gedeeltelijk_bezwaard_oud_object value
     * @return bool|null
     */
    public function getIndicatie_gedeeltelijk_bezwaard_oud_object()
    {
        return $this->indicatie_gedeeltelijk_bezwaard_oud_object;
    }
    /**
     * Set indicatie_gedeeltelijk_bezwaard_oud_object value
     * @param bool $indicatie_gedeeltelijk_bezwaard_oud_object
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIndicatie_gedeeltelijk_bezwaard_oud_object($indicatie_gedeeltelijk_bezwaard_oud_object = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_gedeeltelijk_bezwaard_oud_object) && !is_bool($indicatie_gedeeltelijk_bezwaard_oud_object)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_gedeeltelijk_bezwaard_oud_object, true), gettype($indicatie_gedeeltelijk_bezwaard_oud_object)), __LINE__);
        }
        $this->indicatie_gedeeltelijk_bezwaard_oud_object = $indicatie_gedeeltelijk_bezwaard_oud_object;
        return $this;
    }
    /**
     * Get indicatie_gesplitst value
     * @return bool|null
     */
    public function getIndicatie_gesplitst()
    {
        return $this->indicatie_gesplitst;
    }
    /**
     * Set indicatie_gesplitst value
     * @param bool $indicatie_gesplitst
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIndicatie_gesplitst($indicatie_gesplitst = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_gesplitst) && !is_bool($indicatie_gesplitst)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_gesplitst, true), gettype($indicatie_gesplitst)), __LINE__);
        }
        $this->indicatie_gesplitst = $indicatie_gesplitst;
        return $this;
    }
    /**
     * Get indicatie_voorgenomen_aantekening value
     * @return bool|null
     */
    public function getIndicatie_voorgenomen_aantekening()
    {
        return $this->indicatie_voorgenomen_aantekening;
    }
    /**
     * Set indicatie_voorgenomen_aantekening value
     * @param bool $indicatie_voorgenomen_aantekening
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setIndicatie_voorgenomen_aantekening($indicatie_voorgenomen_aantekening = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_voorgenomen_aantekening) && !is_bool($indicatie_voorgenomen_aantekening)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_voorgenomen_aantekening, true), gettype($indicatie_voorgenomen_aantekening)), __LINE__);
        }
        $this->indicatie_voorgenomen_aantekening = $indicatie_voorgenomen_aantekening;
        return $this;
    }
    /**
     * Get toelichting_bewaarder value
     * @return string|null
     */
    public function getToelichting_bewaarder()
    {
        return $this->toelichting_bewaarder;
    }
    /**
     * Set toelichting_bewaarder value
     * @param string $toelichting_bewaarder
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setToelichting_bewaarder($toelichting_bewaarder = null)
    {
        // validation for constraint: string
        if (!is_null($toelichting_bewaarder) && !is_string($toelichting_bewaarder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toelichting_bewaarder, true), gettype($toelichting_bewaarder)), __LINE__);
        }
        $this->toelichting_bewaarder = $toelichting_bewaarder;
        return $this;
    }
    /**
     * Get historie value
     * @return \StructType\KadasterV2Historie|null
     */
    public function getHistorie()
    {
        return $this->historie;
    }
    /**
     * Set historie value
     * @param \StructType\KadasterV2Historie $historie
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setHistorie(\StructType\KadasterV2Historie $historie = null)
    {
        $this->historie = $historie;
        return $this;
    }
    /**
     * Get overgegaan_in value
     * @return \ArrayType\KadasterV2OnroerendeZaakFiliatieArray|null
     */
    public function getOvergegaan_in()
    {
        return $this->overgegaan_in;
    }
    /**
     * Set overgegaan_in value
     * @param \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $overgegaan_in
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setOvergegaan_in(\ArrayType\KadasterV2OnroerendeZaakFiliatieArray $overgegaan_in = null)
    {
        $this->overgegaan_in = $overgegaan_in;
        return $this;
    }
    /**
     * Get vermeld_in value
     * @return \ArrayType\KadasterV2StukdeelArray|null
     */
    public function getVermeld_in()
    {
        return $this->vermeld_in;
    }
    /**
     * Set vermeld_in value
     * @param \ArrayType\KadasterV2StukdeelArray $vermeld_in
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setVermeld_in(\ArrayType\KadasterV2StukdeelArray $vermeld_in = null)
    {
        $this->vermeld_in = $vermeld_in;
        return $this;
    }
    /**
     * Get ontstaan_uit value
     * @return \ArrayType\KadasterV2OnroerendeZaakFiliatieArray|null
     */
    public function getOntstaan_uit()
    {
        return $this->ontstaan_uit;
    }
    /**
     * Set ontstaan_uit value
     * @param \ArrayType\KadasterV2OnroerendeZaakFiliatieArray $ontstaan_uit
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setOntstaan_uit(\ArrayType\KadasterV2OnroerendeZaakFiliatieArray $ontstaan_uit = null)
    {
        $this->ontstaan_uit = $ontstaan_uit;
        return $this;
    }
    /**
     * Get aantekeningen_wkpb value
     * @return \ArrayType\KadasterV2AantekeningWKPBArray|null
     */
    public function getAantekeningen_wkpb()
    {
        return $this->aantekeningen_wkpb;
    }
    /**
     * Set aantekeningen_wkpb value
     * @param \ArrayType\KadasterV2AantekeningWKPBArray $aantekeningen_wkpb
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAantekeningen_wkpb(\ArrayType\KadasterV2AantekeningWKPBArray $aantekeningen_wkpb = null)
    {
        $this->aantekeningen_wkpb = $aantekeningen_wkpb;
        return $this;
    }
    /**
     * Get aanvullingen value
     * @return \ArrayType\KadasterV2AanvullingArray|null
     */
    public function getAanvullingen()
    {
        return $this->aanvullingen;
    }
    /**
     * Set aanvullingen value
     * @param \ArrayType\KadasterV2AanvullingArray $aanvullingen
     * @return \StructType\KadasterV2OnroerendeZaak
     */
    public function setAanvullingen(\ArrayType\KadasterV2AanvullingArray $aanvullingen = null)
    {
        $this->aanvullingen = $aanvullingen;
        return $this;
    }
}
