<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OverzichtRecht StructType
 * @subpackage Structs
 */
class OverzichtRecht extends AbstractStructBase
{
    /**
     * The object_id
     * @var string
     */
    public $object_id;
    /**
     * The gerechtigde_id
     * @var string
     */
    public $gerechtigde_id;
    /**
     * Constructor method for OverzichtRecht
     * @uses OverzichtRecht::setObject_id()
     * @uses OverzichtRecht::setGerechtigde_id()
     * @param string $object_id
     * @param string $gerechtigde_id
     */
    public function __construct($object_id = null, $gerechtigde_id = null)
    {
        $this
            ->setObject_id($object_id)
            ->setGerechtigde_id($gerechtigde_id);
    }
    /**
     * Get object_id value
     * @return string|null
     */
    public function getObject_id()
    {
        return $this->object_id;
    }
    /**
     * Set object_id value
     * @param string $object_id
     * @return \StructType\OverzichtRecht
     */
    public function setObject_id($object_id = null)
    {
        // validation for constraint: string
        if (!is_null($object_id) && !is_string($object_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($object_id, true), gettype($object_id)), __LINE__);
        }
        $this->object_id = $object_id;
        return $this;
    }
    /**
     * Get gerechtigde_id value
     * @return string|null
     */
    public function getGerechtigde_id()
    {
        return $this->gerechtigde_id;
    }
    /**
     * Set gerechtigde_id value
     * @param string $gerechtigde_id
     * @return \StructType\OverzichtRecht
     */
    public function setGerechtigde_id($gerechtigde_id = null)
    {
        // validation for constraint: string
        if (!is_null($gerechtigde_id) && !is_string($gerechtigde_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gerechtigde_id, true), gettype($gerechtigde_id)), __LINE__);
        }
        $this->gerechtigde_id = $gerechtigde_id;
        return $this;
    }
}
