<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BelgianBusinessRatios StructType
 * @subpackage Structs
 */
class BelgianBusinessRatios extends AbstractStructBase
{
    /**
     * The net_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_assets;
    /**
     * The return_on_equity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $return_on_equity;
    /**
     * The gross_operating_sales_margin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $gross_operating_sales_margin;
    /**
     * The net_operating_sales_margin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_operating_sales_margin;
    /**
     * The rotation_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $rotation_fixed_assets;
    /**
     * The total_assets_to_turnover
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $total_assets_to_turnover;
    /**
     * The current_ratio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $current_ratio;
    /**
     * The quick_ratio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $quick_ratio;
    /**
     * The immediate_liquidity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $immediate_liquidity;
    /**
     * The write_downs_to_added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $write_downs_to_added_value;
    /**
     * The net_cash
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_cash;
    /**
     * The net_cash_ratio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_cash_ratio;
    /**
     * The net_current_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_current_assets;
    /**
     * The cash_flow
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $cash_flow;
    /**
     * The number_days_customer_credit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_days_customer_credit;
    /**
     * The number_days_supplier_credit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_days_supplier_credit;
    /**
     * The investments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $investments;
    /**
     * The dfl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $dfl;
    /**
     * The own_assets_to_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $own_assets_to_capital;
    /**
     * The cash_flow_to_debt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $cash_flow_to_debt;
    /**
     * The cash_flow_to_long_term_debt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $cash_flow_to_long_term_debt;
    /**
     * The long_term_debt_to_short_term_debt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $long_term_debt_to_short_term_debt;
    /**
     * The debt_repayment
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $debt_repayment;
    /**
     * The self_financing_degree
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $self_financing_degree;
    /**
     * The outstanding_tax_to_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $outstanding_tax_to_liabilities;
    /**
     * The added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $added_value;
    /**
     * The payroll_costs_to_added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $payroll_costs_to_added_value;
    /**
     * The financial_charges_to_added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $financial_charges_to_added_value;
    /**
     * The net_profit_to_added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_profit_to_added_value;
    /**
     * The added_value_to_operating_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $added_value_to_operating_income;
    /**
     * The investment_ratio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $investment_ratio;
    /**
     * The added_value_per_employee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $added_value_per_employee;
    /**
     * Constructor method for BelgianBusinessRatios
     * @uses BelgianBusinessRatios::setNet_assets()
     * @uses BelgianBusinessRatios::setReturn_on_equity()
     * @uses BelgianBusinessRatios::setGross_operating_sales_margin()
     * @uses BelgianBusinessRatios::setNet_operating_sales_margin()
     * @uses BelgianBusinessRatios::setRotation_fixed_assets()
     * @uses BelgianBusinessRatios::setTotal_assets_to_turnover()
     * @uses BelgianBusinessRatios::setCurrent_ratio()
     * @uses BelgianBusinessRatios::setQuick_ratio()
     * @uses BelgianBusinessRatios::setImmediate_liquidity()
     * @uses BelgianBusinessRatios::setWrite_downs_to_added_value()
     * @uses BelgianBusinessRatios::setNet_cash()
     * @uses BelgianBusinessRatios::setNet_cash_ratio()
     * @uses BelgianBusinessRatios::setNet_current_assets()
     * @uses BelgianBusinessRatios::setCash_flow()
     * @uses BelgianBusinessRatios::setNumber_days_customer_credit()
     * @uses BelgianBusinessRatios::setNumber_days_supplier_credit()
     * @uses BelgianBusinessRatios::setInvestments()
     * @uses BelgianBusinessRatios::setDfl()
     * @uses BelgianBusinessRatios::setOwn_assets_to_capital()
     * @uses BelgianBusinessRatios::setCash_flow_to_debt()
     * @uses BelgianBusinessRatios::setCash_flow_to_long_term_debt()
     * @uses BelgianBusinessRatios::setLong_term_debt_to_short_term_debt()
     * @uses BelgianBusinessRatios::setDebt_repayment()
     * @uses BelgianBusinessRatios::setSelf_financing_degree()
     * @uses BelgianBusinessRatios::setOutstanding_tax_to_liabilities()
     * @uses BelgianBusinessRatios::setAdded_value()
     * @uses BelgianBusinessRatios::setPayroll_costs_to_added_value()
     * @uses BelgianBusinessRatios::setFinancial_charges_to_added_value()
     * @uses BelgianBusinessRatios::setNet_profit_to_added_value()
     * @uses BelgianBusinessRatios::setAdded_value_to_operating_income()
     * @uses BelgianBusinessRatios::setInvestment_ratio()
     * @uses BelgianBusinessRatios::setAdded_value_per_employee()
     * @param float $net_assets
     * @param float $return_on_equity
     * @param float $gross_operating_sales_margin
     * @param float $net_operating_sales_margin
     * @param float $rotation_fixed_assets
     * @param float $total_assets_to_turnover
     * @param float $current_ratio
     * @param float $quick_ratio
     * @param float $immediate_liquidity
     * @param float $write_downs_to_added_value
     * @param float $net_cash
     * @param float $net_cash_ratio
     * @param float $net_current_assets
     * @param float $cash_flow
     * @param float $number_days_customer_credit
     * @param float $number_days_supplier_credit
     * @param float $investments
     * @param float $dfl
     * @param float $own_assets_to_capital
     * @param float $cash_flow_to_debt
     * @param float $cash_flow_to_long_term_debt
     * @param float $long_term_debt_to_short_term_debt
     * @param float $debt_repayment
     * @param float $self_financing_degree
     * @param float $outstanding_tax_to_liabilities
     * @param float $added_value
     * @param float $payroll_costs_to_added_value
     * @param float $financial_charges_to_added_value
     * @param float $net_profit_to_added_value
     * @param float $added_value_to_operating_income
     * @param float $investment_ratio
     * @param float $added_value_per_employee
     */
    public function __construct($net_assets = null, $return_on_equity = null, $gross_operating_sales_margin = null, $net_operating_sales_margin = null, $rotation_fixed_assets = null, $total_assets_to_turnover = null, $current_ratio = null, $quick_ratio = null, $immediate_liquidity = null, $write_downs_to_added_value = null, $net_cash = null, $net_cash_ratio = null, $net_current_assets = null, $cash_flow = null, $number_days_customer_credit = null, $number_days_supplier_credit = null, $investments = null, $dfl = null, $own_assets_to_capital = null, $cash_flow_to_debt = null, $cash_flow_to_long_term_debt = null, $long_term_debt_to_short_term_debt = null, $debt_repayment = null, $self_financing_degree = null, $outstanding_tax_to_liabilities = null, $added_value = null, $payroll_costs_to_added_value = null, $financial_charges_to_added_value = null, $net_profit_to_added_value = null, $added_value_to_operating_income = null, $investment_ratio = null, $added_value_per_employee = null)
    {
        $this
            ->setNet_assets($net_assets)
            ->setReturn_on_equity($return_on_equity)
            ->setGross_operating_sales_margin($gross_operating_sales_margin)
            ->setNet_operating_sales_margin($net_operating_sales_margin)
            ->setRotation_fixed_assets($rotation_fixed_assets)
            ->setTotal_assets_to_turnover($total_assets_to_turnover)
            ->setCurrent_ratio($current_ratio)
            ->setQuick_ratio($quick_ratio)
            ->setImmediate_liquidity($immediate_liquidity)
            ->setWrite_downs_to_added_value($write_downs_to_added_value)
            ->setNet_cash($net_cash)
            ->setNet_cash_ratio($net_cash_ratio)
            ->setNet_current_assets($net_current_assets)
            ->setCash_flow($cash_flow)
            ->setNumber_days_customer_credit($number_days_customer_credit)
            ->setNumber_days_supplier_credit($number_days_supplier_credit)
            ->setInvestments($investments)
            ->setDfl($dfl)
            ->setOwn_assets_to_capital($own_assets_to_capital)
            ->setCash_flow_to_debt($cash_flow_to_debt)
            ->setCash_flow_to_long_term_debt($cash_flow_to_long_term_debt)
            ->setLong_term_debt_to_short_term_debt($long_term_debt_to_short_term_debt)
            ->setDebt_repayment($debt_repayment)
            ->setSelf_financing_degree($self_financing_degree)
            ->setOutstanding_tax_to_liabilities($outstanding_tax_to_liabilities)
            ->setAdded_value($added_value)
            ->setPayroll_costs_to_added_value($payroll_costs_to_added_value)
            ->setFinancial_charges_to_added_value($financial_charges_to_added_value)
            ->setNet_profit_to_added_value($net_profit_to_added_value)
            ->setAdded_value_to_operating_income($added_value_to_operating_income)
            ->setInvestment_ratio($investment_ratio)
            ->setAdded_value_per_employee($added_value_per_employee);
    }
    /**
     * Get net_assets value
     * @return float|null
     */
    public function getNet_assets()
    {
        return $this->net_assets;
    }
    /**
     * Set net_assets value
     * @param float $net_assets
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_assets($net_assets = null)
    {
        // validation for constraint: float
        if (!is_null($net_assets) && !(is_float($net_assets) || is_numeric($net_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_assets, true), gettype($net_assets)), __LINE__);
        }
        $this->net_assets = $net_assets;
        return $this;
    }
    /**
     * Get return_on_equity value
     * @return float|null
     */
    public function getReturn_on_equity()
    {
        return $this->return_on_equity;
    }
    /**
     * Set return_on_equity value
     * @param float $return_on_equity
     * @return \StructType\BelgianBusinessRatios
     */
    public function setReturn_on_equity($return_on_equity = null)
    {
        // validation for constraint: float
        if (!is_null($return_on_equity) && !(is_float($return_on_equity) || is_numeric($return_on_equity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($return_on_equity, true), gettype($return_on_equity)), __LINE__);
        }
        $this->return_on_equity = $return_on_equity;
        return $this;
    }
    /**
     * Get gross_operating_sales_margin value
     * @return float|null
     */
    public function getGross_operating_sales_margin()
    {
        return $this->gross_operating_sales_margin;
    }
    /**
     * Set gross_operating_sales_margin value
     * @param float $gross_operating_sales_margin
     * @return \StructType\BelgianBusinessRatios
     */
    public function setGross_operating_sales_margin($gross_operating_sales_margin = null)
    {
        // validation for constraint: float
        if (!is_null($gross_operating_sales_margin) && !(is_float($gross_operating_sales_margin) || is_numeric($gross_operating_sales_margin))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($gross_operating_sales_margin, true), gettype($gross_operating_sales_margin)), __LINE__);
        }
        $this->gross_operating_sales_margin = $gross_operating_sales_margin;
        return $this;
    }
    /**
     * Get net_operating_sales_margin value
     * @return float|null
     */
    public function getNet_operating_sales_margin()
    {
        return $this->net_operating_sales_margin;
    }
    /**
     * Set net_operating_sales_margin value
     * @param float $net_operating_sales_margin
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_operating_sales_margin($net_operating_sales_margin = null)
    {
        // validation for constraint: float
        if (!is_null($net_operating_sales_margin) && !(is_float($net_operating_sales_margin) || is_numeric($net_operating_sales_margin))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_operating_sales_margin, true), gettype($net_operating_sales_margin)), __LINE__);
        }
        $this->net_operating_sales_margin = $net_operating_sales_margin;
        return $this;
    }
    /**
     * Get rotation_fixed_assets value
     * @return float|null
     */
    public function getRotation_fixed_assets()
    {
        return $this->rotation_fixed_assets;
    }
    /**
     * Set rotation_fixed_assets value
     * @param float $rotation_fixed_assets
     * @return \StructType\BelgianBusinessRatios
     */
    public function setRotation_fixed_assets($rotation_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($rotation_fixed_assets) && !(is_float($rotation_fixed_assets) || is_numeric($rotation_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($rotation_fixed_assets, true), gettype($rotation_fixed_assets)), __LINE__);
        }
        $this->rotation_fixed_assets = $rotation_fixed_assets;
        return $this;
    }
    /**
     * Get total_assets_to_turnover value
     * @return float|null
     */
    public function getTotal_assets_to_turnover()
    {
        return $this->total_assets_to_turnover;
    }
    /**
     * Set total_assets_to_turnover value
     * @param float $total_assets_to_turnover
     * @return \StructType\BelgianBusinessRatios
     */
    public function setTotal_assets_to_turnover($total_assets_to_turnover = null)
    {
        // validation for constraint: float
        if (!is_null($total_assets_to_turnover) && !(is_float($total_assets_to_turnover) || is_numeric($total_assets_to_turnover))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($total_assets_to_turnover, true), gettype($total_assets_to_turnover)), __LINE__);
        }
        $this->total_assets_to_turnover = $total_assets_to_turnover;
        return $this;
    }
    /**
     * Get current_ratio value
     * @return float|null
     */
    public function getCurrent_ratio()
    {
        return $this->current_ratio;
    }
    /**
     * Set current_ratio value
     * @param float $current_ratio
     * @return \StructType\BelgianBusinessRatios
     */
    public function setCurrent_ratio($current_ratio = null)
    {
        // validation for constraint: float
        if (!is_null($current_ratio) && !(is_float($current_ratio) || is_numeric($current_ratio))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($current_ratio, true), gettype($current_ratio)), __LINE__);
        }
        $this->current_ratio = $current_ratio;
        return $this;
    }
    /**
     * Get quick_ratio value
     * @return float|null
     */
    public function getQuick_ratio()
    {
        return $this->quick_ratio;
    }
    /**
     * Set quick_ratio value
     * @param float $quick_ratio
     * @return \StructType\BelgianBusinessRatios
     */
    public function setQuick_ratio($quick_ratio = null)
    {
        // validation for constraint: float
        if (!is_null($quick_ratio) && !(is_float($quick_ratio) || is_numeric($quick_ratio))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($quick_ratio, true), gettype($quick_ratio)), __LINE__);
        }
        $this->quick_ratio = $quick_ratio;
        return $this;
    }
    /**
     * Get immediate_liquidity value
     * @return float|null
     */
    public function getImmediate_liquidity()
    {
        return $this->immediate_liquidity;
    }
    /**
     * Set immediate_liquidity value
     * @param float $immediate_liquidity
     * @return \StructType\BelgianBusinessRatios
     */
    public function setImmediate_liquidity($immediate_liquidity = null)
    {
        // validation for constraint: float
        if (!is_null($immediate_liquidity) && !(is_float($immediate_liquidity) || is_numeric($immediate_liquidity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($immediate_liquidity, true), gettype($immediate_liquidity)), __LINE__);
        }
        $this->immediate_liquidity = $immediate_liquidity;
        return $this;
    }
    /**
     * Get write_downs_to_added_value value
     * @return float|null
     */
    public function getWrite_downs_to_added_value()
    {
        return $this->write_downs_to_added_value;
    }
    /**
     * Set write_downs_to_added_value value
     * @param float $write_downs_to_added_value
     * @return \StructType\BelgianBusinessRatios
     */
    public function setWrite_downs_to_added_value($write_downs_to_added_value = null)
    {
        // validation for constraint: float
        if (!is_null($write_downs_to_added_value) && !(is_float($write_downs_to_added_value) || is_numeric($write_downs_to_added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($write_downs_to_added_value, true), gettype($write_downs_to_added_value)), __LINE__);
        }
        $this->write_downs_to_added_value = $write_downs_to_added_value;
        return $this;
    }
    /**
     * Get net_cash value
     * @return float|null
     */
    public function getNet_cash()
    {
        return $this->net_cash;
    }
    /**
     * Set net_cash value
     * @param float $net_cash
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_cash($net_cash = null)
    {
        // validation for constraint: float
        if (!is_null($net_cash) && !(is_float($net_cash) || is_numeric($net_cash))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_cash, true), gettype($net_cash)), __LINE__);
        }
        $this->net_cash = $net_cash;
        return $this;
    }
    /**
     * Get net_cash_ratio value
     * @return float|null
     */
    public function getNet_cash_ratio()
    {
        return $this->net_cash_ratio;
    }
    /**
     * Set net_cash_ratio value
     * @param float $net_cash_ratio
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_cash_ratio($net_cash_ratio = null)
    {
        // validation for constraint: float
        if (!is_null($net_cash_ratio) && !(is_float($net_cash_ratio) || is_numeric($net_cash_ratio))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_cash_ratio, true), gettype($net_cash_ratio)), __LINE__);
        }
        $this->net_cash_ratio = $net_cash_ratio;
        return $this;
    }
    /**
     * Get net_current_assets value
     * @return float|null
     */
    public function getNet_current_assets()
    {
        return $this->net_current_assets;
    }
    /**
     * Set net_current_assets value
     * @param float $net_current_assets
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_current_assets($net_current_assets = null)
    {
        // validation for constraint: float
        if (!is_null($net_current_assets) && !(is_float($net_current_assets) || is_numeric($net_current_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_current_assets, true), gettype($net_current_assets)), __LINE__);
        }
        $this->net_current_assets = $net_current_assets;
        return $this;
    }
    /**
     * Get cash_flow value
     * @return float|null
     */
    public function getCash_flow()
    {
        return $this->cash_flow;
    }
    /**
     * Set cash_flow value
     * @param float $cash_flow
     * @return \StructType\BelgianBusinessRatios
     */
    public function setCash_flow($cash_flow = null)
    {
        // validation for constraint: float
        if (!is_null($cash_flow) && !(is_float($cash_flow) || is_numeric($cash_flow))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($cash_flow, true), gettype($cash_flow)), __LINE__);
        }
        $this->cash_flow = $cash_flow;
        return $this;
    }
    /**
     * Get number_days_customer_credit value
     * @return float|null
     */
    public function getNumber_days_customer_credit()
    {
        return $this->number_days_customer_credit;
    }
    /**
     * Set number_days_customer_credit value
     * @param float $number_days_customer_credit
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNumber_days_customer_credit($number_days_customer_credit = null)
    {
        // validation for constraint: float
        if (!is_null($number_days_customer_credit) && !(is_float($number_days_customer_credit) || is_numeric($number_days_customer_credit))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_days_customer_credit, true), gettype($number_days_customer_credit)), __LINE__);
        }
        $this->number_days_customer_credit = $number_days_customer_credit;
        return $this;
    }
    /**
     * Get number_days_supplier_credit value
     * @return float|null
     */
    public function getNumber_days_supplier_credit()
    {
        return $this->number_days_supplier_credit;
    }
    /**
     * Set number_days_supplier_credit value
     * @param float $number_days_supplier_credit
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNumber_days_supplier_credit($number_days_supplier_credit = null)
    {
        // validation for constraint: float
        if (!is_null($number_days_supplier_credit) && !(is_float($number_days_supplier_credit) || is_numeric($number_days_supplier_credit))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_days_supplier_credit, true), gettype($number_days_supplier_credit)), __LINE__);
        }
        $this->number_days_supplier_credit = $number_days_supplier_credit;
        return $this;
    }
    /**
     * Get investments value
     * @return float|null
     */
    public function getInvestments()
    {
        return $this->investments;
    }
    /**
     * Set investments value
     * @param float $investments
     * @return \StructType\BelgianBusinessRatios
     */
    public function setInvestments($investments = null)
    {
        // validation for constraint: float
        if (!is_null($investments) && !(is_float($investments) || is_numeric($investments))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($investments, true), gettype($investments)), __LINE__);
        }
        $this->investments = $investments;
        return $this;
    }
    /**
     * Get dfl value
     * @return float|null
     */
    public function getDfl()
    {
        return $this->dfl;
    }
    /**
     * Set dfl value
     * @param float $dfl
     * @return \StructType\BelgianBusinessRatios
     */
    public function setDfl($dfl = null)
    {
        // validation for constraint: float
        if (!is_null($dfl) && !(is_float($dfl) || is_numeric($dfl))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dfl, true), gettype($dfl)), __LINE__);
        }
        $this->dfl = $dfl;
        return $this;
    }
    /**
     * Get own_assets_to_capital value
     * @return float|null
     */
    public function getOwn_assets_to_capital()
    {
        return $this->own_assets_to_capital;
    }
    /**
     * Set own_assets_to_capital value
     * @param float $own_assets_to_capital
     * @return \StructType\BelgianBusinessRatios
     */
    public function setOwn_assets_to_capital($own_assets_to_capital = null)
    {
        // validation for constraint: float
        if (!is_null($own_assets_to_capital) && !(is_float($own_assets_to_capital) || is_numeric($own_assets_to_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($own_assets_to_capital, true), gettype($own_assets_to_capital)), __LINE__);
        }
        $this->own_assets_to_capital = $own_assets_to_capital;
        return $this;
    }
    /**
     * Get cash_flow_to_debt value
     * @return float|null
     */
    public function getCash_flow_to_debt()
    {
        return $this->cash_flow_to_debt;
    }
    /**
     * Set cash_flow_to_debt value
     * @param float $cash_flow_to_debt
     * @return \StructType\BelgianBusinessRatios
     */
    public function setCash_flow_to_debt($cash_flow_to_debt = null)
    {
        // validation for constraint: float
        if (!is_null($cash_flow_to_debt) && !(is_float($cash_flow_to_debt) || is_numeric($cash_flow_to_debt))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($cash_flow_to_debt, true), gettype($cash_flow_to_debt)), __LINE__);
        }
        $this->cash_flow_to_debt = $cash_flow_to_debt;
        return $this;
    }
    /**
     * Get cash_flow_to_long_term_debt value
     * @return float|null
     */
    public function getCash_flow_to_long_term_debt()
    {
        return $this->cash_flow_to_long_term_debt;
    }
    /**
     * Set cash_flow_to_long_term_debt value
     * @param float $cash_flow_to_long_term_debt
     * @return \StructType\BelgianBusinessRatios
     */
    public function setCash_flow_to_long_term_debt($cash_flow_to_long_term_debt = null)
    {
        // validation for constraint: float
        if (!is_null($cash_flow_to_long_term_debt) && !(is_float($cash_flow_to_long_term_debt) || is_numeric($cash_flow_to_long_term_debt))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($cash_flow_to_long_term_debt, true), gettype($cash_flow_to_long_term_debt)), __LINE__);
        }
        $this->cash_flow_to_long_term_debt = $cash_flow_to_long_term_debt;
        return $this;
    }
    /**
     * Get long_term_debt_to_short_term_debt value
     * @return float|null
     */
    public function getLong_term_debt_to_short_term_debt()
    {
        return $this->long_term_debt_to_short_term_debt;
    }
    /**
     * Set long_term_debt_to_short_term_debt value
     * @param float $long_term_debt_to_short_term_debt
     * @return \StructType\BelgianBusinessRatios
     */
    public function setLong_term_debt_to_short_term_debt($long_term_debt_to_short_term_debt = null)
    {
        // validation for constraint: float
        if (!is_null($long_term_debt_to_short_term_debt) && !(is_float($long_term_debt_to_short_term_debt) || is_numeric($long_term_debt_to_short_term_debt))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($long_term_debt_to_short_term_debt, true), gettype($long_term_debt_to_short_term_debt)), __LINE__);
        }
        $this->long_term_debt_to_short_term_debt = $long_term_debt_to_short_term_debt;
        return $this;
    }
    /**
     * Get debt_repayment value
     * @return float|null
     */
    public function getDebt_repayment()
    {
        return $this->debt_repayment;
    }
    /**
     * Set debt_repayment value
     * @param float $debt_repayment
     * @return \StructType\BelgianBusinessRatios
     */
    public function setDebt_repayment($debt_repayment = null)
    {
        // validation for constraint: float
        if (!is_null($debt_repayment) && !(is_float($debt_repayment) || is_numeric($debt_repayment))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($debt_repayment, true), gettype($debt_repayment)), __LINE__);
        }
        $this->debt_repayment = $debt_repayment;
        return $this;
    }
    /**
     * Get self_financing_degree value
     * @return float|null
     */
    public function getSelf_financing_degree()
    {
        return $this->self_financing_degree;
    }
    /**
     * Set self_financing_degree value
     * @param float $self_financing_degree
     * @return \StructType\BelgianBusinessRatios
     */
    public function setSelf_financing_degree($self_financing_degree = null)
    {
        // validation for constraint: float
        if (!is_null($self_financing_degree) && !(is_float($self_financing_degree) || is_numeric($self_financing_degree))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($self_financing_degree, true), gettype($self_financing_degree)), __LINE__);
        }
        $this->self_financing_degree = $self_financing_degree;
        return $this;
    }
    /**
     * Get outstanding_tax_to_liabilities value
     * @return float|null
     */
    public function getOutstanding_tax_to_liabilities()
    {
        return $this->outstanding_tax_to_liabilities;
    }
    /**
     * Set outstanding_tax_to_liabilities value
     * @param float $outstanding_tax_to_liabilities
     * @return \StructType\BelgianBusinessRatios
     */
    public function setOutstanding_tax_to_liabilities($outstanding_tax_to_liabilities = null)
    {
        // validation for constraint: float
        if (!is_null($outstanding_tax_to_liabilities) && !(is_float($outstanding_tax_to_liabilities) || is_numeric($outstanding_tax_to_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($outstanding_tax_to_liabilities, true), gettype($outstanding_tax_to_liabilities)), __LINE__);
        }
        $this->outstanding_tax_to_liabilities = $outstanding_tax_to_liabilities;
        return $this;
    }
    /**
     * Get added_value value
     * @return float|null
     */
    public function getAdded_value()
    {
        return $this->added_value;
    }
    /**
     * Set added_value value
     * @param float $added_value
     * @return \StructType\BelgianBusinessRatios
     */
    public function setAdded_value($added_value = null)
    {
        // validation for constraint: float
        if (!is_null($added_value) && !(is_float($added_value) || is_numeric($added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($added_value, true), gettype($added_value)), __LINE__);
        }
        $this->added_value = $added_value;
        return $this;
    }
    /**
     * Get payroll_costs_to_added_value value
     * @return float|null
     */
    public function getPayroll_costs_to_added_value()
    {
        return $this->payroll_costs_to_added_value;
    }
    /**
     * Set payroll_costs_to_added_value value
     * @param float $payroll_costs_to_added_value
     * @return \StructType\BelgianBusinessRatios
     */
    public function setPayroll_costs_to_added_value($payroll_costs_to_added_value = null)
    {
        // validation for constraint: float
        if (!is_null($payroll_costs_to_added_value) && !(is_float($payroll_costs_to_added_value) || is_numeric($payroll_costs_to_added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($payroll_costs_to_added_value, true), gettype($payroll_costs_to_added_value)), __LINE__);
        }
        $this->payroll_costs_to_added_value = $payroll_costs_to_added_value;
        return $this;
    }
    /**
     * Get financial_charges_to_added_value value
     * @return float|null
     */
    public function getFinancial_charges_to_added_value()
    {
        return $this->financial_charges_to_added_value;
    }
    /**
     * Set financial_charges_to_added_value value
     * @param float $financial_charges_to_added_value
     * @return \StructType\BelgianBusinessRatios
     */
    public function setFinancial_charges_to_added_value($financial_charges_to_added_value = null)
    {
        // validation for constraint: float
        if (!is_null($financial_charges_to_added_value) && !(is_float($financial_charges_to_added_value) || is_numeric($financial_charges_to_added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($financial_charges_to_added_value, true), gettype($financial_charges_to_added_value)), __LINE__);
        }
        $this->financial_charges_to_added_value = $financial_charges_to_added_value;
        return $this;
    }
    /**
     * Get net_profit_to_added_value value
     * @return float|null
     */
    public function getNet_profit_to_added_value()
    {
        return $this->net_profit_to_added_value;
    }
    /**
     * Set net_profit_to_added_value value
     * @param float $net_profit_to_added_value
     * @return \StructType\BelgianBusinessRatios
     */
    public function setNet_profit_to_added_value($net_profit_to_added_value = null)
    {
        // validation for constraint: float
        if (!is_null($net_profit_to_added_value) && !(is_float($net_profit_to_added_value) || is_numeric($net_profit_to_added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_profit_to_added_value, true), gettype($net_profit_to_added_value)), __LINE__);
        }
        $this->net_profit_to_added_value = $net_profit_to_added_value;
        return $this;
    }
    /**
     * Get added_value_to_operating_income value
     * @return float|null
     */
    public function getAdded_value_to_operating_income()
    {
        return $this->added_value_to_operating_income;
    }
    /**
     * Set added_value_to_operating_income value
     * @param float $added_value_to_operating_income
     * @return \StructType\BelgianBusinessRatios
     */
    public function setAdded_value_to_operating_income($added_value_to_operating_income = null)
    {
        // validation for constraint: float
        if (!is_null($added_value_to_operating_income) && !(is_float($added_value_to_operating_income) || is_numeric($added_value_to_operating_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($added_value_to_operating_income, true), gettype($added_value_to_operating_income)), __LINE__);
        }
        $this->added_value_to_operating_income = $added_value_to_operating_income;
        return $this;
    }
    /**
     * Get investment_ratio value
     * @return float|null
     */
    public function getInvestment_ratio()
    {
        return $this->investment_ratio;
    }
    /**
     * Set investment_ratio value
     * @param float $investment_ratio
     * @return \StructType\BelgianBusinessRatios
     */
    public function setInvestment_ratio($investment_ratio = null)
    {
        // validation for constraint: float
        if (!is_null($investment_ratio) && !(is_float($investment_ratio) || is_numeric($investment_ratio))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($investment_ratio, true), gettype($investment_ratio)), __LINE__);
        }
        $this->investment_ratio = $investment_ratio;
        return $this;
    }
    /**
     * Get added_value_per_employee value
     * @return float|null
     */
    public function getAdded_value_per_employee()
    {
        return $this->added_value_per_employee;
    }
    /**
     * Set added_value_per_employee value
     * @param float $added_value_per_employee
     * @return \StructType\BelgianBusinessRatios
     */
    public function setAdded_value_per_employee($added_value_per_employee = null)
    {
        // validation for constraint: float
        if (!is_null($added_value_per_employee) && !(is_float($added_value_per_employee) || is_numeric($added_value_per_employee))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($added_value_per_employee, true), gettype($added_value_per_employee)), __LINE__);
        }
        $this->added_value_per_employee = $added_value_per_employee;
        return $this;
    }
}
