<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyIdentificationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyIdentificationV2 extends AbstractStructBase
{
    /**
     * The basic_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyBasicInformationV2
     */
    public $basic_information;
    /**
     * The activity_classifications
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyActivityClassificationV2Array
     */
    public $activity_classifications;
    /**
     * Constructor method for CreditsafeCompanyIdentificationV2
     * @uses CreditsafeCompanyIdentificationV2::setBasic_information()
     * @uses CreditsafeCompanyIdentificationV2::setActivity_classifications()
     * @param \StructType\CreditsafeCompanyBasicInformationV2 $basic_information
     * @param \ArrayType\CreditsafeCompanyActivityClassificationV2Array $activity_classifications
     */
    public function __construct(\StructType\CreditsafeCompanyBasicInformationV2 $basic_information = null, \ArrayType\CreditsafeCompanyActivityClassificationV2Array $activity_classifications = null)
    {
        $this
            ->setBasic_information($basic_information)
            ->setActivity_classifications($activity_classifications);
    }
    /**
     * Get basic_information value
     * @return \StructType\CreditsafeCompanyBasicInformationV2|null
     */
    public function getBasic_information()
    {
        return $this->basic_information;
    }
    /**
     * Set basic_information value
     * @param \StructType\CreditsafeCompanyBasicInformationV2 $basic_information
     * @return \StructType\CreditsafeCompanyIdentificationV2
     */
    public function setBasic_information(\StructType\CreditsafeCompanyBasicInformationV2 $basic_information = null)
    {
        $this->basic_information = $basic_information;
        return $this;
    }
    /**
     * Get activity_classifications value
     * @return \ArrayType\CreditsafeCompanyActivityClassificationV2Array|null
     */
    public function getActivity_classifications()
    {
        return $this->activity_classifications;
    }
    /**
     * Set activity_classifications value
     * @param \ArrayType\CreditsafeCompanyActivityClassificationV2Array $activity_classifications
     * @return \StructType\CreditsafeCompanyIdentificationV2
     */
    public function setActivity_classifications(\ArrayType\CreditsafeCompanyActivityClassificationV2Array $activity_classifications = null)
    {
        $this->activity_classifications = $activity_classifications;
        return $this;
    }
}
