<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessGetExtractHistoryDocumentDataV3RequestType
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetExtractHistoryDocumentDataV3RequestType extends AbstractStructBase
{
    /**
     * The extract_id
     * @var string
     */
    public $extract_id;
    /**
     * The include_source
     * @var bool
     */
    public $include_source;
    /**
     * Constructor method for dutchBusinessGetExtractHistoryDocumentDataV3RequestType
     * @uses DutchBusinessGetExtractHistoryDocumentDataV3RequestType::setExtract_id()
     * @uses DutchBusinessGetExtractHistoryDocumentDataV3RequestType::setInclude_source()
     * @param string $extract_id
     * @param bool $include_source
     */
    public function __construct($extract_id = null, $include_source = null)
    {
        $this
            ->setExtract_id($extract_id)
            ->setInclude_source($include_source);
    }
    /**
     * Get extract_id value
     * @return string|null
     */
    public function getExtract_id()
    {
        return $this->extract_id;
    }
    /**
     * Set extract_id value
     * @param string $extract_id
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataV3RequestType
     */
    public function setExtract_id($extract_id = null)
    {
        // validation for constraint: string
        if (!is_null($extract_id) && !is_string($extract_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($extract_id, true), gettype($extract_id)), __LINE__);
        }
        $this->extract_id = $extract_id;
        return $this;
    }
    /**
     * Get include_source value
     * @return bool|null
     */
    public function getInclude_source()
    {
        return $this->include_source;
    }
    /**
     * Set include_source value
     * @param bool $include_source
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataV3RequestType
     */
    public function setInclude_source($include_source = null)
    {
        // validation for constraint: boolean
        if (!is_null($include_source) && !is_bool($include_source)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($include_source, true), gettype($include_source)), __LINE__);
        }
        $this->include_source = $include_source;
        return $this;
    }
}
