<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationNeighborhoodCoordinatesRDResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationNeighborhoodCoordinatesRDResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \StructType\RDCoordinates
     */
    public $coordinates;
    /**
     * Constructor method for geoLocationNeighborhoodCoordinatesRDResponseType
     * @uses GeoLocationNeighborhoodCoordinatesRDResponseType::setCoordinates()
     * @param \StructType\RDCoordinates $coordinates
     */
    public function __construct(\StructType\RDCoordinates $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \StructType\RDCoordinates|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \StructType\RDCoordinates $coordinates
     * @return \StructType\GeoLocationNeighborhoodCoordinatesRDResponseType
     */
    public function setCoordinates(\StructType\RDCoordinates $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
}
