<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterNietNatuurlijkPersoon StructType
 * @subpackage Structs
 */
class KadasterNietNatuurlijkPersoon extends AbstractStructBase
{
    /**
     * The naam
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $naam;
    /**
     * The rechtsvorm
     * @var string
     */
    public $rechtsvorm;
    /**
     * The statutaire_zetel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $statutaire_zetel;
    /**
     * The bedrijven_nummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bedrijven_nummer;
    /**
     * Constructor method for kadasterNietNatuurlijkPersoon
     * @uses KadasterNietNatuurlijkPersoon::setNaam()
     * @uses KadasterNietNatuurlijkPersoon::setRechtsvorm()
     * @uses KadasterNietNatuurlijkPersoon::setStatutaire_zetel()
     * @uses KadasterNietNatuurlijkPersoon::setBedrijven_nummer()
     * @param string $naam
     * @param string $rechtsvorm
     * @param string $statutaire_zetel
     * @param string $bedrijven_nummer
     */
    public function __construct($naam = null, $rechtsvorm = null, $statutaire_zetel = null, $bedrijven_nummer = null)
    {
        $this
            ->setNaam($naam)
            ->setRechtsvorm($rechtsvorm)
            ->setStatutaire_zetel($statutaire_zetel)
            ->setBedrijven_nummer($bedrijven_nummer);
    }
    /**
     * Get naam value
     * @return string|null
     */
    public function getNaam()
    {
        return $this->naam;
    }
    /**
     * Set naam value
     * @param string $naam
     * @return \StructType\KadasterNietNatuurlijkPersoon
     */
    public function setNaam($naam = null)
    {
        // validation for constraint: string
        if (!is_null($naam) && !is_string($naam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($naam, true), gettype($naam)), __LINE__);
        }
        $this->naam = $naam;
        return $this;
    }
    /**
     * Get rechtsvorm value
     * @return string|null
     */
    public function getRechtsvorm()
    {
        return $this->rechtsvorm;
    }
    /**
     * Set rechtsvorm value
     * @param string $rechtsvorm
     * @return \StructType\KadasterNietNatuurlijkPersoon
     */
    public function setRechtsvorm($rechtsvorm = null)
    {
        // validation for constraint: string
        if (!is_null($rechtsvorm) && !is_string($rechtsvorm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rechtsvorm, true), gettype($rechtsvorm)), __LINE__);
        }
        $this->rechtsvorm = $rechtsvorm;
        return $this;
    }
    /**
     * Get statutaire_zetel value
     * @return string|null
     */
    public function getStatutaire_zetel()
    {
        return $this->statutaire_zetel;
    }
    /**
     * Set statutaire_zetel value
     * @param string $statutaire_zetel
     * @return \StructType\KadasterNietNatuurlijkPersoon
     */
    public function setStatutaire_zetel($statutaire_zetel = null)
    {
        // validation for constraint: string
        if (!is_null($statutaire_zetel) && !is_string($statutaire_zetel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($statutaire_zetel, true), gettype($statutaire_zetel)), __LINE__);
        }
        $this->statutaire_zetel = $statutaire_zetel;
        return $this;
    }
    /**
     * Get bedrijven_nummer value
     * @return string|null
     */
    public function getBedrijven_nummer()
    {
        return $this->bedrijven_nummer;
    }
    /**
     * Set bedrijven_nummer value
     * @param string $bedrijven_nummer
     * @return \StructType\KadasterNietNatuurlijkPersoon
     */
    public function setBedrijven_nummer($bedrijven_nummer = null)
    {
        // validation for constraint: string
        if (!is_null($bedrijven_nummer) && !is_string($bedrijven_nummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bedrijven_nummer, true), gettype($bedrijven_nummer)), __LINE__);
        }
        $this->bedrijven_nummer = $bedrijven_nummer;
        return $this;
    }
}
