<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Breuk StructType
 * @subpackage Structs
 */
class KadasterV2Breuk extends AbstractStructBase
{
    /**
     * The teller
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $teller;
    /**
     * The noemer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $noemer;
    /**
     * Constructor method for KadasterV2Breuk
     * @uses KadasterV2Breuk::setTeller()
     * @uses KadasterV2Breuk::setNoemer()
     * @param int $teller
     * @param int $noemer
     */
    public function __construct($teller = null, $noemer = null)
    {
        $this
            ->setTeller($teller)
            ->setNoemer($noemer);
    }
    /**
     * Get teller value
     * @return int|null
     */
    public function getTeller()
    {
        return $this->teller;
    }
    /**
     * Set teller value
     * @param int $teller
     * @return \StructType\KadasterV2Breuk
     */
    public function setTeller($teller = null)
    {
        // validation for constraint: int
        if (!is_null($teller) && !(is_int($teller) || ctype_digit($teller))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($teller, true), gettype($teller)), __LINE__);
        }
        $this->teller = $teller;
        return $this;
    }
    /**
     * Get noemer value
     * @return int|null
     */
    public function getNoemer()
    {
        return $this->noemer;
    }
    /**
     * Set noemer value
     * @param int $noemer
     * @return \StructType\KadasterV2Breuk
     */
    public function setNoemer($noemer = null)
    {
        // validation for constraint: int
        if (!is_null($noemer) && !(is_int($noemer) || ctype_digit($noemer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($noemer, true), gettype($noemer)), __LINE__);
        }
        $this->noemer = $noemer;
        return $this;
    }
}
