<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2GezamenlijkAandeel StructType
 * @subpackage Structs
 */
class KadasterV2GezamenlijkAandeel extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $identificatie;
    /**
     * The aandeel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Breuk
     */
    public $aandeel;
    /**
     * Constructor method for KadasterV2GezamenlijkAandeel
     * @uses KadasterV2GezamenlijkAandeel::setIdentificatie()
     * @uses KadasterV2GezamenlijkAandeel::setAandeel()
     * @param string $identificatie
     * @param \StructType\KadasterV2Breuk $aandeel
     */
    public function __construct($identificatie = null, \StructType\KadasterV2Breuk $aandeel = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setAandeel($aandeel);
    }
    /**
     * Get identificatie value
     * @return string
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2GezamenlijkAandeel
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get aandeel value
     * @return \StructType\KadasterV2Breuk|null
     */
    public function getAandeel()
    {
        return $this->aandeel;
    }
    /**
     * Set aandeel value
     * @param \StructType\KadasterV2Breuk $aandeel
     * @return \StructType\KadasterV2GezamenlijkAandeel
     */
    public function setAandeel(\StructType\KadasterV2Breuk $aandeel = null)
    {
        $this->aandeel = $aandeel;
        return $this;
    }
}
