<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for metaGetMethodResponseType StructType
 * @subpackage Structs
 */
class MetaGetMethodResponseType extends AbstractStructBase
{
    /**
     * The out
     * @var \StructType\MetaMethodDefinition
     */
    public $out;
    /**
     * Constructor method for metaGetMethodResponseType
     * @uses MetaGetMethodResponseType::setOut()
     * @param \StructType\MetaMethodDefinition $out
     */
    public function __construct(\StructType\MetaMethodDefinition $out = null)
    {
        $this
            ->setOut($out);
    }
    /**
     * Get out value
     * @return \StructType\MetaMethodDefinition|null
     */
    public function getOut()
    {
        return $this->out;
    }
    /**
     * Set out value
     * @param \StructType\MetaMethodDefinition $out
     * @return \StructType\MetaGetMethodResponseType
     */
    public function setOut(\StructType\MetaMethodDefinition $out = null)
    {
        $this->out = $out;
        return $this;
    }
}
