<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RiskInsolvency StructType
 * @subpackage Structs
 */
class RiskInsolvency extends AbstractStructBase
{
    /**
     * The registration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RiskInsolvencyRegistration
     */
    public $registration;
    /**
     * The publications
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\RiskInsolvencyPublicationArray
     */
    public $publications;
    /**
     * The curators
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\RiskInsolvencyCuratorArray
     */
    public $curators;
    /**
     * The judge
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RiskInsolvencyJudge
     */
    public $judge;
    /**
     * Constructor method for RiskInsolvency
     * @uses RiskInsolvency::setRegistration()
     * @uses RiskInsolvency::setPublications()
     * @uses RiskInsolvency::setCurators()
     * @uses RiskInsolvency::setJudge()
     * @param \StructType\RiskInsolvencyRegistration $registration
     * @param \ArrayType\RiskInsolvencyPublicationArray $publications
     * @param \ArrayType\RiskInsolvencyCuratorArray $curators
     * @param \StructType\RiskInsolvencyJudge $judge
     */
    public function __construct(\StructType\RiskInsolvencyRegistration $registration = null, \ArrayType\RiskInsolvencyPublicationArray $publications = null, \ArrayType\RiskInsolvencyCuratorArray $curators = null, \StructType\RiskInsolvencyJudge $judge = null)
    {
        $this
            ->setRegistration($registration)
            ->setPublications($publications)
            ->setCurators($curators)
            ->setJudge($judge);
    }
    /**
     * Get registration value
     * @return \StructType\RiskInsolvencyRegistration|null
     */
    public function getRegistration()
    {
        return $this->registration;
    }
    /**
     * Set registration value
     * @param \StructType\RiskInsolvencyRegistration $registration
     * @return \StructType\RiskInsolvency
     */
    public function setRegistration(\StructType\RiskInsolvencyRegistration $registration = null)
    {
        $this->registration = $registration;
        return $this;
    }
    /**
     * Get publications value
     * @return \ArrayType\RiskInsolvencyPublicationArray|null
     */
    public function getPublications()
    {
        return $this->publications;
    }
    /**
     * Set publications value
     * @param \ArrayType\RiskInsolvencyPublicationArray $publications
     * @return \StructType\RiskInsolvency
     */
    public function setPublications(\ArrayType\RiskInsolvencyPublicationArray $publications = null)
    {
        $this->publications = $publications;
        return $this;
    }
    /**
     * Get curators value
     * @return \ArrayType\RiskInsolvencyCuratorArray|null
     */
    public function getCurators()
    {
        return $this->curators;
    }
    /**
     * Set curators value
     * @param \ArrayType\RiskInsolvencyCuratorArray $curators
     * @return \StructType\RiskInsolvency
     */
    public function setCurators(\ArrayType\RiskInsolvencyCuratorArray $curators = null)
    {
        $this->curators = $curators;
        return $this;
    }
    /**
     * Get judge value
     * @return \StructType\RiskInsolvencyJudge|null
     */
    public function getJudge()
    {
        return $this->judge;
    }
    /**
     * Set judge value
     * @param \StructType\RiskInsolvencyJudge $judge
     * @return \StructType\RiskInsolvency
     */
    public function setJudge(\StructType\RiskInsolvencyJudge $judge = null)
    {
        $this->judge = $judge;
        return $this;
    }
}
