<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StukMetKadastraleAanduidingLijst StructType
 * @subpackage Structs
 */
class StukMetKadastraleAanduidingLijst extends AbstractStructBase
{
    /**
     * The stukken
     * @var \ArrayType\StukMetKadastraleAanduidingArray
     */
    public $stukken;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for StukMetKadastraleAanduidingLijst
     * @uses StukMetKadastraleAanduidingLijst::setStukken()
     * @uses StukMetKadastraleAanduidingLijst::setIndicatie_compleet()
     * @param \ArrayType\StukMetKadastraleAanduidingArray $stukken
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\StukMetKadastraleAanduidingArray $stukken = null, $indicatie_compleet = null)
    {
        $this
            ->setStukken($stukken)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get stukken value
     * @return \ArrayType\StukMetKadastraleAanduidingArray|null
     */
    public function getStukken()
    {
        return $this->stukken;
    }
    /**
     * Set stukken value
     * @param \ArrayType\StukMetKadastraleAanduidingArray $stukken
     * @return \StructType\StukMetKadastraleAanduidingLijst
     */
    public function setStukken(\ArrayType\StukMetKadastraleAanduidingArray $stukken = null)
    {
        $this->stukken = $stukken;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\StukMetKadastraleAanduidingLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
